Documentation · API reference
GET
/api/v1/healthWhat this server is
This page as Markdown, or in an AI chatMore ways to read this page
What this server is.
# What this server is
> tidekeeper's API reference: https://tidekeeper.eu/docs/api/get-health
`GET /api/v1/health`
What this server is.
## The answer
200, `Health`: `GET /api/v1/health`: what this server is, without signing in.
- `features` (FeatureSet, needed)
- `sso` (boolean, needed): Whether instance single sign-on is configured.
- `store` (string, needed): `sqlite` or `postgres`.
- `version` (string, needed)
## Asking
```sh
curl https://tidekeeper.eu/api/v1/health \
-H "Authorization: Bearer $TIDEKEEPER_TOKEN"
```
The answer
Status 200
Health `GET /api/v1/health`: what this server is, without signing in.
- features
- FeatureSetneeded
- sso
- booleanneededWhether instance single sign-on is configured.
- store
- stringneeded`sqlite` or `postgres`.
- version
- stringneeded
Asking
curl https://tidekeeper.eu/api/v1/health \ -H "Authorization: Bearer $TIDEKEEPER_TOKEN"
const answer = await fetch("https://tidekeeper.eu/api/v1/health", { headers: { Authorization: `Bearer ${process.env.TIDEKEEPER_TOKEN}`, }, }).then((r) => r.json());